View Issue Details

IDProjectCategoryView StatusLast Update
13773Bug reports[All Projects] Survey designpublic2018-08-07 17:01
ReportertammoAssigned Tomarkusfluer 
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.9.x 
Target Version3.11.xFixed in Version3.13.x 
Summary13773: Cannot style slider handle when not touched anymore
DescriptionIn previous versions of LS, there was the possibility to style the (handle of the) slider (multi numerical) differently when the slider was not touched, because a class "untouched" was added to the untouched slider, which was taken away after the slider was touched. This made it possible to indicate the difference between untouched sliders and touched sliders, even when the indicate the same value.

But since the new versions 3.x.x this does not seem to be possible anymore: the class "untouched" is now applied to the input of the slider.

Please apply the class to a level highr than the handle, preferably to the class that also contains the classes: "slider" and "slider-horizontal". That way you make styling the most flexible.

Extra points available: add the class untouched, touched or reset when applicable, so after an action to reset the slider may also be shown differently.
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.9.0
I will donate to the project if issue is resolvedNo
Browserff
Database & DB-Versionff
Operating System (Server)ff
Webserver software & versionff
PHP Versionff

Activities

tammo

tammo

2018-06-13 18:04

developer  

sliderhandlestyling.png (143,656 bytes)
tammo

tammo

2018-06-13 18:16

developer   ~48101

Also: when the slider-untouched class is positions at the highest level, the designer can also ifluence the tooltip, the track, which could be used to better distinguish when slider questions have ben answered or not
Mazi

Mazi

2018-06-13 21:15

developer   ~48103

I second this.
When adjusting CSS class names at such elements please keep an eye on backwards compatibility.
tammo

tammo

2018-06-14 12:44

developer   ~48109

Last edited: 2018-06-14 13:27

View 2 revisions

Using vanilla survey theme, but could not find .js related to untouched class of slider. Is this hidden deeper in the system?

DenisChenu

DenisChenu

2018-06-14 18:21

developer   ~48115

The script is here : https://github.com/LimeSurvey/LimeSurvey/blob/master/assets/packages/questions/numeric-slider/scripts/numeric-slider.js
c_schmitz

c_schmitz

2018-06-15 14:16

administrator   ~48121

We will enhance the slider questions soon and take this into account.
tammo

tammo

2018-06-18 16:31

developer   ~48209

Great, because at this moment a user cannot distinguish between touched and untouched. I saw that in the code the line that should trigger this is still there, but unfortunately it does not seem to function.

https://github.com/LimeSurvey/LimeSurvey/blob/master/assets/packages/questions/numeric-slider/scripts/numeric-slider.js#L64

Please put this at the highest level of the structure, so styling is most flexible.

Thanks in advance.
markusfluer

markusfluer

2018-07-12 11:49

manager   ~48496

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27622
markusfluer

markusfluer

2018-08-07 17:01

manager   ~48720

Release 3.14.2+180807

Related Changesets

LimeSurvey: master d390b7d2

2018-07-12 11:48:44

markusfluer

Details Diff
Fixed issue 13773: Cannot style slider handle when not touched anymore
mod - assets/packages/questions/numeric-slider/css/numeric-slider.css Diff File
mod - assets/packages/questions/numeric-slider/scripts/numeric-slider.js Diff File

Issue History

Date Modified Username Field Change
2018-06-13 18:04 tammo New Issue
2018-06-13 18:04 tammo File Added: sliderhandlestyling.png
2018-06-13 18:16 tammo Note Added: 48101
2018-06-13 21:15 Mazi Note Added: 48103
2018-06-14 12:44 tammo Note Added: 48109
2018-06-14 13:27 tammo Note Edited: 48109 View Revisions
2018-06-14 18:21 DenisChenu Note Added: 48115
2018-06-15 14:16 c_schmitz Note Added: 48121
2018-06-15 14:17 c_schmitz Assigned To => markusfluer
2018-06-15 14:17 c_schmitz Status new => assigned
2018-06-18 16:31 tammo Note Added: 48209
2018-07-12 11:49 markusfluer Changeset attached => LimeSurvey master d390b7d2
2018-07-12 11:49 markusfluer Note Added: 48496
2018-07-12 11:49 markusfluer Resolution open => fixed
2018-07-12 11:49 markusfluer Status assigned => resolved
2018-07-12 11:49 markusfluer Fixed in Version => 3.13.x
2018-08-07 17:01 markusfluer Status resolved => closed
2018-08-07 17:01 markusfluer Note Added: 48720